package com.nasc.custom.domain;

import com.nasc.common.core.domain.BaseEntity;
import com.nasc.common.core.domain.entity.SysDept;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 15:50
 * @Description: 审查事项表
 * @return:
 */
public class NascMatter extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 事项ID主键 */
    private Long id;

    /** 事项名称 */
    private String itemName;

    /** 事项所属部门ID */
    private Long deptId;

    /** 是否有前置问题：Y 是 N 否 */
    private String prefixQuestion;

    /** 联系人 */
    private String contacts;

    /** 联系人电话 */
    private String contactsPhone;

    /** 常见问题 */
    private String commonProblem;

    /** 排序号，数字越大排序越靠前 */
    private Long sortNum;

    /** 删除标志：-1为删除状态 */
    private Long delFlag;

    /** 部门信息 */
    private SysDept dept;

    /** 审查事项前置问题信息 */
    private List<NascPreQuestion> preQuestionList;

    /** 审查事项材料信息 */
    private NascMaterial material;

    /** 审查事项打印模板信息 */
    private NascPrint print;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @NotBlank(message = "事项名称不能为空")
    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getPrefixQuestion() {
        return prefixQuestion;
    }

    public void setPrefixQuestion(String prefixQuestion) {
        this.prefixQuestion = prefixQuestion;
    }

    public Long getSortNum() {
        return sortNum;
    }

    public void setSortNum(Long sortNum) {
        this.sortNum = sortNum;
    }

    @NotBlank(message = "联系人不能为空")
    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    @NotBlank(message = "联系人电话不能为空")
    public String getContactsPhone() {
        return contactsPhone;
    }

    public void setContactsPhone(String contactsPhone) {
        this.contactsPhone = contactsPhone;
    }

    public String getCommonProblem() {
        return commonProblem;
    }

    public void setCommonProblem(String commonProblem) {
        this.commonProblem = commonProblem;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public SysDept getDept() {
        return dept;
    }

    public void setDept(SysDept dept) {
        this.dept = dept;
    }

    public List<NascPreQuestion> getPreQuestionList() {
        return preQuestionList;
    }

    public void setPreQuestionList(List<NascPreQuestion> preQuestionList) {
        this.preQuestionList = preQuestionList;
    }

    public NascMaterial getMaterial() {
        return material;
    }

    public void setMaterial(NascMaterial material) {
        this.material = material;
    }

    public NascPrint getPrint() {
        return print;
    }

    public void setPrint(NascPrint print) {
        this.print = print;
    }
}
